> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Freshservice configuration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json put /v1/integration/{integrationId}/freshservice
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{integrationId}/freshservice:
    put:
      tags:
        - Integration
      summary: Update Freshservice configuration
      operationId: FreshserviceController_setConfiguration
      parameters:
        - name: integrationId
          required: true
          in: path
          description: Freshservice integration ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FreshserviceConfigurationDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    FreshserviceConfigurationDto:
      type: object
      properties:
        ticketRequesterEmail:
          type: string
        ticketWorkspaceId:
          type: string
        ticketGroupId:
          type: string
        createDetectionTickets:
          type: boolean
        caseTicketTitle:
          type: string
        detectionTicketTitle:
          type: string
      required:
        - ticketRequesterEmail
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````